<template>
    <div class="card card-detail">
        <div class="card-header d-flex align-items-center d-flex justify-content-between">
            <h1>{{book.title}}</h1>
        <button
          type="button"
          class="close"
          @click="$emit('close')"
          data-dismiss="modal"
          aria-label="Close"
        >
          <font-awesome-icon color="firebrick" icon="times" size="lg"/>
        </button>

        </div>

        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3 col-lg-2" >
                    <book class=" m-sm-3 d-flex" v-bind:book="book" :serverId="serverId" @bookDetail="bookSelected=book"></book>
                </div>
                <div class="col-12 col-sm-9 m-2">
                  <div class="d-flex justify-content-center">
                   <span class="w-100"> {{book.description}}</span>
                   </div>
                </div>

            </div>
            <div class="row mt-5">
                <post :book="book" :serverId="serverId"></post>
            </div>
        </div>
    </div>
</template>
<script>
const $ = require("jquery");
import post from './Post';
import book from './Book';
export default {
    name:'bookDetail',
    props :[
    'book',
    'serverId'
    ],
    data(){
      return{

      }
    },
    components:{
        post,
        book,
    },
    computed : {
    },
    created :function(){
      $('[data-toggle="popover"]').popover();

    },
    data () {
        return {

    }
},
}
</script>

<style>
    .card-detail{
        width: 100%;
        min-height: 100%;
    }
    .card-header{
        height: 10%;
    }
</style>
